#!/bin/bash -e
#
# $Id: build-updates.sh 16157 2019-07-12 01:38:41Z NiLuJe $
#

HACKNAME="dummy"
HACKDIR="Dummy"
PKGNAME="${HACKNAME}"
PKGVER="0.0.N"

# Setup KindleTool packaging metadata flags to avoid cluttering the invocations
PKGREV="$(svnversion -c .. | awk '{print $NF}' FS=':' | tr -d 'P')"
KT_PM_FLAGS=( "-xPackageName=${HACKDIR}" "-xPackageVersion=${PKGVER}-r${PKGREV}" "-xPackageAuthor=NiLuJe" "-xPackageMaintainer=NiLuJe" "-X" )

# We need kindletool (https://github.com/NiLuJe/KindleTool) in $PATH
if (( $(kindletool version | wc -l) == 1 )) ; then
	HAS_KINDLETOOL="true"
fi

if [[ "${HAS_KINDLETOOL}" != "true" ]] ; then
	echo "You need KindleTool (https://github.com/NiLuJe/KindleTool) to build this package."
	exit 1
fi

# Pickup our common stuff... We leave it in our staging wd so it ends up in the source package.
if [[ ! -d "../../Common" ]] ; then
        echo "The tree isn't checked out in full, missing the Common directory..."
        exit 1
fi
# LibOTAUtils 5
ln -f ../../Common/lib/libotautils5 ./libotautils5


## Install
# Copy the script to our working directory, to avoid storing crappy paths in the update package
ln -f ../src/install.sh ./

# Build the install package
kindletool create ota2 "${KT_PM_FLAGS[@]}" -d kindle5 libotautils5 install.sh Update_${PKGNAME}_${PKGVER}.bin

# Remove package specific temp stuff
rm -f ./install.sh

# Move our update
mv -f *.bin ../
